### Method

# ECal ComponentDateTime take_tzid

since: 3.34

#### Declaration [src]

    void
    e_cal_component_datetime_take_tzid (
      ECalComponentDateTime* dt,
      gchar* tzid
    )

#### Description [src]

Sets the `tzid` of the `dt` and assumes ownership of `tzid`. Any previously set TZID is freed. An empty string or a `NULL` as `tzid` is treated as none TZID.

Available since: 3.34

#### Parameters

`tzid`

  Type: `gchar*`

  The TZID to take, or `NULL`.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.